@echo off

REM System to update some ASM_PC files quickly
REM author Gameqube
REM adapted from various batchfiles by IdolNinja


REM Double check and make sure the user actually extracted the entire archive
IF NOT EXIST "game_original_ASM_files" (
echo.
echo.
echo WARNING - game_original_ASM_files folder doesn't exist. 
echo    Did you forget to extract the whole archive?
echo.
pause
GOTO OOPS
)


GOTO MAIN_MENU

:MAIN_MENU

cls


REM Let's update some asm files

echo.
echo Updating *.ASM_PC files
echo.

IF EXIST "..\customize_item.asm_pc" (
echo updating customize_item.asm_pc
tools\Gibbed.SaintsRow3.UpdateASM.exe ..\customize_item.asm_pc ..\
)

IF EXIST "..\customize_player.asm_pc" (
echo updating customize_player.asm_pc
tools\Gibbed.SaintsRow3.UpdateASM.exe ..\customize_player.asm_pc ..\
)

IF EXIST "..\character_containers.asm_pc" (
echo updating character_containers.asm_pc
tools\Gibbed.SaintsRow3.UpdateASM.exe ..\character_containers.asm_pc ..\
)

IF EXIST "..\dlc1_customize_item.asm_pc" (
echo.
echo updating dlc1_customize_item.asm_pc
tools\Gibbed.SaintsRow3.UpdateASM.exe ..\dlc1_customize_item.asm_pc ..\
)

IF EXIST "..\dlc1_character_containers.asm_pc" (
echo.
echo updating dlc1_character_containers.asm_pc
tools\Gibbed.SaintsRow3.UpdateASM.exe ..\dlc1_character_containers.asm_pc ..\
)

IF EXIST "..\dlc2_customize_item.asm_pc" (
echo.
echo updating dlc2_customize_item.asm_pc
tools\Gibbed.SaintsRow3.UpdateASM.exe ..\dlc2_customize_item.asm_pc ..\
)

IF EXIST "..\dlc2_character_containers.asm_pc" (
echo.
echo updating dlc2_character_containers.asm_pc
tools\Gibbed.SaintsRow3.UpdateASM.exe ..\dlc2_character_containers.asm_pc ..\
)

IF EXIST "..\dlc3_customize_item.asm_pc" (
echo.
echo updating dlc3_customize_item.asm_pc
tools\Gibbed.SaintsRow3.UpdateASM.exe ..\dlc3_customize_item.asm_pc ..\
)

IF EXIST "..\dlc3_character_containers.asm_pc" (
echo.
echo updating dlc3_character_containers.asm_pc
tools\Gibbed.SaintsRow3.UpdateASM.exe ..\dlc3_character_containers.asm_pc ..\
)

IF EXIST "..\items_containers.asm_pc" (
echo.
echo updating items_containers.asm_pc
tools\Gibbed.SaintsRow3.UpdateASM.exe ..\items_containers.asm_pc ..\
)

IF EXIST "..\items_preload_containers.asm_pc" (
echo.
echo updating items_preload_containers.asm_pc
tools\Gibbed.SaintsRow3.UpdateASM.exe ..\items_preload_containers.asm_pc ..\
)

IF EXIST "..\patch_vint_doc_containers.asm_pc" (
echo.
echo updating patch_vint_doc_containers.asm_pc
tools\Gibbed.SaintsRow3.UpdateASM.exe ..\patch_vint_doc_containers.asm_pc ..\
)

IF EXIST "..\stream_grid.asm_pc" (
echo.
echo updating stream_grid.asm_pc
tools\Gibbed.SaintsRow3.UpdateASM.exe ..\stream_grid.asm_pc ..\
)

IF EXIST "..\ui_images.asm_pc" (
echo.
echo updating ui_images.asm_pc
tools\Gibbed.SaintsRow3.UpdateASM.exe ..\ui_images.asm_pc ..\
)

IF EXIST "..\vehicle_customization_cameras.asm_pc" (
echo.
echo vehicle_customization_cameras.asm_pc
tools\Gibbed.SaintsRow3.UpdateASM.exe ..\vehicle_customization_cameras.asm_pc ..\
)

IF EXIST "..\vint_doc_containers.asm_pc" (
echo.
echo updating vint_doc_containers.asm_pc
tools\Gibbed.SaintsRow3.UpdateASM.exe ..\vint_doc_containers.asm_pc ..\
)


GOTO END

:END

echo.
echo updating finished!
echo.

pause

:OOPS